/*
 * DrvFlash.c
 *
 *  Created on: 2014-7-29
 *      Author: Administrator
 */
#include "DrvFlash.h"

/*******************************************************************
*name    : ReadWord(unsigned int addr
*function: get one word data from flash
*input   : addr:  flash address;
*output  : the data 
*Version : v1.0
*date    : 
*modify  : 
*********************************************************************/
int ReadWord(unsigned int addr)
{
  if((addr%4)!=0)
    return E_FAIL;
  return (*(unsigned int *)(addr));
}
/*******************************************************************
*name    : ReadPage(unsigned int addr,int* data)
*function: get 32word(128byte)data from flash
*input   : addr: start address at flash;
*          *data: the array to save the data total 32word
*output  : 0/1;
*Version : v
*date    : 
*modify  : 
*********************************************************************/
int ReadPage(unsigned int addr,unsigned int* data)
{
  volatile unsigned char i;
  if((addr%128)!=0)
    return E_FAIL;
  for(i=0;i<32;i++)
  {
    *(data+i)=*((unsigned int *)(addr+i*4));
  }
  return E_SUCCESS;
}
